Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class Response

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response

Direct Known Subclasses:
  AuthToken, ListResponse

public abstract class Response
extends java.lang.Object

Field Summary
`protected java.lang.String` | `generic`
`protected java.lang.String` | `operator`

Constructor Summary
`Response()`

Method Summary
`java.lang.String` | `getGeneric()` Gets the value of the generic string.
`java.lang.String` | `getOperator()` Gets the value of the operator.
`void` | `setGeneric(java.lang.String value)` sets the value of the generic.
`void` | `setOperator(java.lang.String value)` Sets the value of the operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generic

    protected java.lang.String generic

### operator

    protected java.lang.String operator

Constructor Detail

### Response

    public Response()

Method Detail

### getOperator

    public java.lang.String getOperator()

  Gets the value of the operator.

  Returns:
    the current value of the operator.

### setOperator

    public void setOperator(java.lang.String value)

  Sets the value of the operator.

  Parameters:
    `value` - the new value of the operator.

### getGeneric

    public java.lang.String getGeneric()

  Gets the value of the generic string.

  Returns:
    the current value of the generic string.

### setGeneric

    public void setGeneric(java.lang.String value)

  sets the value of the generic.

  Parameters:
    `value` - value of the generic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference